Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [OPGELOST] GeschiktVoor macro geschikt voor 10.04 LTS?  (gelezen 5498 keer)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
[OPGELOST] GeschiktVoor macro geschikt voor 10.04 LTS?
« Gepost op: 2010/03/08, 23:33:16 »
De GeschiktVoor macro toont de versies in chronologische volgorde.

<<GeschiktVoor("ubuntu, kubuntu, xubuntu","8.04 LTS, 9.04, 9.10, 10.04 LTS")>>
Toont 10.04 LTS nu als 1e. Zie bijvoorbeeld http://wiki.ubuntu-nl.org/community/JavaRuntime

Dit is vast niet de bedoeling maar is dit iets wat hersteld moet worden? Na 2011, als de ondersteuning van 9.10 is afgelopen, is dit voor de rest van de eeuw geen probleem meer. ;)
« Laatst bewerkt op: 2010/03/13, 22:07:14 door testcees »
Klik links bovenin op Documentatie

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #1 Gepost op: 2010/03/10, 21:13:59 »
Is inderdaad iets wat hersteld moet worden. Maar grote vraag: Wie gaat het herstellen? Rulus heeft destijds de macro geschreven, maar die is er niet meer..

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #2 Gepost op: 2010/03/11, 14:38:01 »
Even afgezien van dit probleem. Ik vind het wel beter als de nieuwste versie het meest links staat...
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Dave

  • Lid
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #3 Gepost op: 2010/03/11, 16:43:48 »
Citaat
10.04 LTS, 8.04 LTS, 9.04, 9.10

Nou sorry vind het maar rommelig zo.
beetje chronologische volgorde is wel gebruikelijk.

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #4 Gepost op: 2010/03/11, 22:21:47 »
Even afgezien van dit probleem. Ik vind het wel beter als de nieuwste versie het meest links staat...
De macro maakt gebruik van de ingebouwde sorteerfunctie van python. Idee: de sorteervolgorde om draaien door sort(reverse=True) te gebruiken:
Citaat
Versie:     9.10, 9.04, 8.04 LTS, 10.04 LTS
Lost het probleem niet op.  :|

Als een "voorloopnul" wordt gebruikt sorteert de macro wel goed:
Citaat
Versie:     08.04 LTS, 09.04, 09.10, 10.04 LTS

Maar dat is imo ook geen oplossing. :|

Een andere/tijdelijke optie kan zijn om de sorteeropdracht domweg te wissen, dan blijft de volgorde ongewijzigd. ;)

Maar een echte oplossing is de sorteerfunctie verbeteren....
Klik links bovenin op Documentatie

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #5 Gepost op: 2010/03/12, 09:10:23 »
Waar is de broncode te vinden? Als dit een sorteerprobleempje is, lijkt mij dit niet al te moeilijk om op te lossen.

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #6 Gepost op: 2010/03/12, 15:28:54 »
Dit lijkt mij inderdaad ook triviaal om op te lossen. Maar dat moet iemand doen die recht heeft om dat aan te passen ;)
Ik heb welles aangeboden dit te willen doen. Maar ik kan nu niets...
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Dave

  • Lid
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #7 Gepost op: 2010/03/12, 16:17:26 »


Als een "voorloopnul" wordt gebruikt sorteert de macro wel goed:

Versie:     08.04 LTS, 09.04, 09.10, 10.04 LTS

Maar dat is imo ook geen oplossing. :|


Lijkt me juist perfect, valt gelijk op welke er mist.  :evil:

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #8 Gepost op: 2010/03/12, 18:01:48 »
In het algemeen kun je stellen: Vanaf versie x
Hoef je ze ook niet allemaal op te sommen. En dan hoef je ook niet bij elke nieuwe release alles weer bij te werken.
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #9 Gepost op: 2010/03/12, 20:42:26 »
Waar is de broncode te vinden? Als dit een sorteerprobleempje is, lijkt mij dit niet al te moeilijk om op te lossen.
De code staat in de directory data/plugin/macro. De broncode (van Rulus :)) heeft een GNU/GPL licentie dus ik kan deze ook mailen als je wil.

Dit lijkt mij inderdaad ook triviaal om op te lossen.
Of het triviaal is weet ik niet. De versienummers worden nu gesorteerd als tekst. Dit willen we sorteren als getallen (jaartallen). De toevoeging LTS is echter weer tekst. ???
Maar het is ongetwijfeld mogelijk.

Maar dat moet iemand doen die recht heeft om dat aan te passen ;)
Ik heb welles aangeboden dit te willen doen. Maar ik kan nu niets...
Rechten om een nieuwe macro te plaatsen is het probleem niet. Nieuwe code kan geplaatst worden op Launchpad en het beheerteam kan het dan op de server zetten (en moinmoin herstarten).

In het algemeen kun je stellen: Vanaf versie x
Hoef je ze ook niet allemaal op te sommen. En dan hoef je ook niet bij elke nieuwe release alles weer bij te werken.
Nee! Het is juist de bedoeling van de macro om duidelijk te maken dat het hier om een actueel artikel gaat wat werkt (en getest is) met de genoemde versies!
Klik links bovenin op Documentatie

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #10 Gepost op: 2010/03/13, 10:33:36 »
Even om zeker te zijn: "all" wordt toch niet in combinatie gebruikt met een versienummer? Dus ofwel "all" ofwel "8.04 lts, 9.04, 9.10", toch?

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #11 Gepost op: 2010/03/13, 11:11:44 »
Dus ofwel "all" ofwel "8.04 lts, 9.04, 9.10", toch?
Volgens mij is dat inderdaad zoals de macro bedoeld is.
Klik links bovenin op Documentatie

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #12 Gepost op: 2010/03/13, 15:16:33 »
Hier is een patch die het probleem oplost. Dit enkel als "all" en versienummers niet door elkaar worden gebruikt, en er altijd een spatie tussen het versienummer en "LTS" staat.

140c140
<     versions.sort()

---
>     versions.sort(compare_versions)

164c164,168
<     return "".join(result)

---
>     return "".join(result)
>
> def compare_versions(x, y):
>     return cmp(float(x.split()[0]), float(y.split()[0]))
>

Offline track

  • Lid
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #13 Gepost op: 2010/03/13, 17:27:49 »
Of het triviaal is weet ik niet. De versienummers worden nu gesorteerd als tekst. Dit willen we sorteren als getallen (jaartallen). De toevoeging LTS is echter weer tekst. ???
Uiteindelijk moet je toch een soort "if"- wissel inzetten, die die "1" achter de "9" zet,
of misschien eerst de "10." veranderen naar "A0.", en na het sorteren weer terug naar "10." ...

Dan kun je blijven sorteren zoals het nu is.

track

Offline Dave

  • Lid
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #14 Gepost op: 2010/03/13, 17:47:23 »
In het algemeen kun je stellen: Vanaf versie x
Hoef je ze ook niet allemaal op te sommen. En dan hoef je ook niet bij elke nieuwe release alles weer bij te werken.

maar het rijtje is niet volledig en zal een reden hebben.

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #15 Gepost op: 2010/03/13, 19:01:33 »
Hier is een patch die het probleem oplost. Dit enkel als "all" en versienummers niet door elkaar worden gebruikt, en er altijd een spatie tussen het versienummer en "LTS" staat.

Ja! Deze patch werkt uitstekend! Dank je wel. :)

Er is 1 pagina met de GeschiktVoor-macro zonder spatie voor de letters LTS. Deze pagina zal ik aanpassen. Wat mij betreft kan de patch worden toegepast. Maak je hiervoor een verzoek op launchpad?
Klik links bovenin op Documentatie

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #16 Gepost op: 2010/03/13, 19:06:29 »
Hier is een patch die het probleem oplost. Dit enkel als "all" en versienummers niet door elkaar worden gebruikt, en er altijd een spatie tussen het versienummer en "LTS" staat.
Das mooi!
Maar kun je die spatie niet gewoon negeren? Als je alle letters+spaties stript heb je een prima versie nummer.


In het algemeen kun je stellen: Vanaf versie x
Hoef je ze ook niet allemaal op te sommen. En dan hoef je ook niet bij elke nieuwe release alles weer bij te werken.
Nee! Het is juist de bedoeling van de macro om duidelijk te maken dat het hier om een actueel artikel gaat wat werkt (en getest is) met de genoemde versies!
Daar ben ik het gedeeltelijk mee eens. Ik wil nog even de nadruk leggen op "In het algemeen".
Het nadeel is dat hier niet genoeg activiteit is om al deze artikelen bij te houden.
Neem bijvoorbeeld Openssh-server. Bij versies staat 8.04 LTS, 8.10, 9.04. Hier moet dus nog 9.10 bij. Verder is openssh iets algemeens van linux, dus niet echt ubuntu specifiek. Ik weet zeker dat dit artikel het voor de komende paar versies van Ubuntu nog prima zal doen!


Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #17 Gepost op: 2010/03/13, 19:30:01 »
Maak je hiervoor een verzoek op launchpad?

Ik zal deze avond een bugrapport invullen.

Das mooi!
Maar kun je die spatie niet gewoon negeren? Als je alle letters+spaties stript heb je een prima versie nummer.

Ik splits nu het versienummer op aan de spatie. Ik kan natuurlijk ook elk karakter in de string controleren en een nieuwe string opbouwen met alleen de cijfers en het punt.

Zoiets wordt dat dan:
version = "10.04LTS"
''.join([char for char in version if char.isdigit() or char == '.'])

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #18 Gepost op: 2010/03/13, 19:45:27 »
Ik splits nu het versienummer op aan de spatie. Ik kan natuurlijk ook elk karakter in de string controleren en een nieuwe string opbouwen met alleen de cijfers en het punt.

Zoiets wordt dat dan:
version = "10.04LTS"
''.join([char for char in version if char.isdigit() or char == '.'])

Een spatie tussen het nummer en LTS vindt ik persoonlijk beter. Deze laatste toevoeging maakt de macro onnodig complex (en kost onnodige rekenkracht van de server maar dat zal geen relevant argument zijn.;)).

Daar ben ik het gedeeltelijk mee eens. Ik wil nog even de nadruk leggen op "In het algemeen".
Het nadeel is dat hier niet genoeg activiteit is om al deze artikelen bij te houden.
Neem bijvoorbeeld Openssh-server. Bij versies staat 8.04 LTS, 8.10, 9.04. Hier moet dus nog 9.10 bij. Verder is openssh iets algemeens van linux, dus niet echt ubuntu specifiek. Ik weet zeker dat dit artikel het voor de komende paar versies van Ubuntu nog prima zal doen!
Toch blijf ik groot voorstander van het bedoelde gebruik van de GeschiktVoor-macro en hoop op meer activiteit om alles bij te houden! :)

Dat het "linux algemeen" is en niet "echt ubuntu specifiek" maakt geen verschil. Nieuwe Ubuntu-versies bevatten soms nieuwere versies dan de beschreven programma's en/of gewijzigde scripts.
Bijvoorbeeld: een Apache webserver voor https gebruiken is toch "algemeen linux" maar na versie 8.04 worden andere scripts toegevoegd voor https. Het artikel http://wiki.ubuntu-nl.org/community/WebserverHttps werkt niet letterlijk met 8.04.

edit: Artikel Openssh-server gechecked op 9.10 en aangepast. :)
« Laatst bewerkt op: 2010/03/13, 22:01:08 door testcees »
Klik links bovenin op Documentatie

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #19 Gepost op: 2010/03/13, 20:08:21 »
Daar ben ik het gedeeltelijk mee eens. Ik wil nog even de nadruk leggen op "In het algemeen".
Het nadeel is dat hier niet genoeg activiteit is om al deze artikelen bij te houden.
Neem bijvoorbeeld Openssh-server. Bij versies staat 8.04 LTS, 8.10, 9.04. Hier moet dus nog 9.10 bij. Verder is openssh iets algemeens van linux, dus niet echt ubuntu specifiek. Ik weet zeker dat dit artikel het voor de komende paar versies van Ubuntu nog prima zal doen!
Toch blijf ik groot voorstander van het bedoelde gebruik van de GeschiktVoor-macro en hoop op meer activiteit om alles bij te houden! :)
Ik hoop het ook.

Dat het "linux algemeen" is en niet "echt ubuntu specifiek" maakt geen verschil. Nieuwe Ubuntu-versies bevatten soms nieuwere versies dan de beschreven programma's en/of gewijzigde scripts.
Bijvoorbeeld: een Apache webserver voor https gebruiken is toch "algemeen linux" maar na versie 8.04 worden andere scripts toegevoegd voor https. Het artikel http://wiki.ubuntu-nl.org/community/WebserverHttps werkt niet letterlijk met 8.04.
Ik haal een beetje 2 dingen door elkaar. Met linux algemeen bedoelde ik dat het werkt op de serverversie, en dan vaak ook op elke desktop. Maar dat doet er niet zoveel toe.
Het is inderdaad wel beter om die artikelen steeds up to date te houden. Ik hoop dan maar dat dit wat meer gaat gebeuren.

Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #20 Gepost op: 2010/03/13, 21:52:58 »
Een spatie tussen het nummer en LTS vindt ik persoonlijk beter. Deze laatste toevoeging maakt de macro onnodig complex (en kost onnodige rekenkracht van de server maar dat zal geen relevant argument zijn.;)).

Als iedereen zich er aan houd, dan is het goed :). Moest het toch ooit nodig zijn, laat maar iets weten.

Hier is trouwens het bugrapport: https://bugs.launchpad.net/ubuntu-nl-website/+bug/538554

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #21 Gepost op: 2010/03/13, 21:54:55 »
Heb even op Yes, it affects me geklikt :)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: [OPGELOST] GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #22 Gepost op: 2010/03/19, 19:26:09 »
Met deze parameters werkt de sortering wel goed: http://wiki.ubuntu-nl.org/community/WebmailEvolution  XD

Citaat
Versie:     9.10 10.04 LTS

 ???

Prima natuurlijk, en de patch blijft nodig, daar niet van! :)
Klik links bovenin op Documentatie

Offline Rulus

  • Lid
  • Steunpunt: Nee
Re: [OPGELOST] GeschiktVoor macro geschikt voor 10.04 LTS?
« Reactie #23 Gepost op: 2010/03/20, 14:29:56 »
Met deze parameters werkt de sortering wel goed: http://wiki.ubuntu-nl.org/community/WebmailEvolution  XD

Citaat
Versie:     9.10 10.04 LTS

 ???
Dat komt omdat hij splitst op komma's, als je dus geen komma's gebruikt beschouwt hij alles als één string (die hij ook sorteert, maar dat maakt niet uit bij een lijst met één element ;)).

Ik had inderdaad niet ver genoeg doorgedacht bij dat sorteren ivm met de cijfers, de patch van Nunslaughter werkt prima, bedankt in ieder geval! :) Jullie hadden me uiteraard ook mogen mailen/pingen op IRC, maar ik ben heel blij dat het al opgelost is.